Subject: Re: bug#43255: 28.0.50; feature/native-comp void-function subr-native-lambda-list

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2020 18:25:21 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>, [email-masked],
>         [email-masked]
> Date: Tue, 08 Sep 2020 14:54:31 +0000
> 
> >> AFAICT, when using the native-comp branch, Lisp files are automatically
> >> compiled without me having to do anything.
> >
> > That'd be a misfeature, I think: it means that users who build their
> > own Emacs will have their build take hours.  I'd prefer to have an
> > option to delay native compilation to some later time, ideally have it
> > JIT-compiled, like Guile does.
> >
> > Is this possible?
> 
> The only files that is mandatory to have compiled Ahead of Time are the
> one dumped

Why do these have to be compiled ahead of time?

> That said I think what Stefan meant is precisely that compilation is
> happening automatically Jit like with no user intervention.

And that can be turned on and off as the user sees fit?  If so, that's
why I said that the native-compilation part is not important to have
in the version description, only in the set of supported features.